CachingWrapperFilterHelper (Lucene 3.6.2 API)
Keywords: org.apache.lucene.search.CachingWrapperFilterHelper class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class CachingWrapperFilterHelper

    java.lang.Object
      org.apache.lucene.search.Filter
          org.apache.lucene.search.CachingWrapperFilter
              org.apache.lucene.search.CachingWrapperFilterHelper

All Implemented Interfaces:
  Serializable

    public class CachingWrapperFilterHelper

extends CachingWrapperFilter

A unit test helper class to test when the filter is getting cached and when it is not.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.search.CachingWrapperFilter
`CachingWrapperFilter.DeletesMode`

Field Summary

Fields inherited from class org.apache.lucene.search.CachingWrapperFilter
`cache`

Constructor Summary
`CachingWrapperFilterHelper(Filter filter)`

Method Summary
`boolean` | `equals(Object o)`
`DocIdSet` | `getDocIdSet(IndexReader reader)` Creates a `DocIdSet` enumerating the documents that should be permitted in search results.
`int` | `hashCode()`
`void` | `setShouldHaveCache(boolean shouldHaveCache)`
`String` | `toString()`

Methods inherited from class org.apache.lucene.search.CachingWrapperFilter
`docIdSetToCache`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CachingWrapperFilterHelper

    public CachingWrapperFilterHelper(Filter filter)

Parameters:
  `filter` - Filter to cache results of

Method Detail

### setShouldHaveCache

    public void setShouldHaveCache(boolean shouldHaveCache)

### getDocIdSet

    public DocIdSet getDocIdSet(IndexReader reader)
                         throws IOException

  Description copied from class: `Filter`
  Creates a `DocIdSet` enumerating the documents that should be permitted in search results. NOTE: null can be returned if no documents are accepted by this Filter.

  Note: This method will be called once per segment in the index during searching. The returned `DocIdSet` must refer to document IDs for that segment, not for the top-level reader.

  Overrides:
    `getDocIdSet` in class `CachingWrapperFilter`
  Parameters:
    `reader` - a `IndexReader` instance opened on the index currently searched on. Note, it is likely that the provided reader does not represent the whole underlying index i.e. if the index has more than one segment the given reader only represents a single segment.
  Returns:
    a DocIdSet that provides the documents which should be permitted or prohibited in search results. NOTE: null can be returned if no documents will be accepted by this Filter.
  Throws:
    `IOException`
  See Also:
    `DocIdBitSet`

### toString

    public String toString()

  Overrides:
    `toString` in class `CachingWrapperFilter`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `CachingWrapperFilter`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `CachingWrapperFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD